- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes

# QWSRegionEvent Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 228 of file qwsevent_qws.h.

`#include <qwsevent_qws.h>`

Inheritance diagram for QWSRegionEvent:
[legend]

List of all members.

## Classes
struct | SimpleData
## Public Types
enum | Type { Allocation }
## Public Member Functions
| QWSRegionEvent ()
void | setData (const char *d, int len, bool allocateMem=true)
void | setData (int winId, const QRegion &region, uint type)
## Public Attributes
struct QWSRegionEvent::SimpleData | simpleData
QRect * | rectangles

## Member Enumeration Documentation

enum Type

Search for all occurrences

Enumerator:

  Allocation | Search for all occurrences

Reimplemented from QWSEvent.

Definition at line 251 of file qwsevent_qws.h.

                  {Allocation
    #ifdef QT_QWS_CLIENTBLIT
            , DirectPaint
    #endif
        };

## Constructor & Destructor Documentation

QWSRegionEvent | ( |  | ) | `[inline]`

Definition at line 229 of file qwsevent_qws.h.

            : QWSEvent(QWSEvent::Region, sizeof(simpleData),
                    reinterpret_cast<char*>(&simpleData))
            { memset(reinterpret_cast<char*>(&simpleData),0,sizeof(simpleData)); }

## Member Function Documentation

void setData | ( | const char * | d,
|  | int | len,
|  | bool | allocateMem = `true`
| ) |  | `[inline, virtual]`

Search for all occurrences

Reimplemented from QWSProtocolItem.

Definition at line 234 of file qwsevent_qws.h.

                                                                      {
            QWSEvent::setData(d, len, allocateMem);
            rectangles = reinterpret_cast<QRect*>(rawDataPtr);
        }

void setData | ( | int | winId,
|  | const QRegion & | region,
|  | uint | type
| ) |  | `[inline]`

Search for all occurrences

Definition at line 239 of file qwsevent_qws.h.

                                                                  {
            const QVector<QRect> rects = region.rects();
            setData(reinterpret_cast<const char*>(rects.constData()),
                rects.size() * sizeof(QRect));
            simpleData.window = winId;
            simpleData.nrectangles = rects.size();
            simpleData.type = type;
    #ifdef QT_QWS_CLIENTBLIT
            simpleData.id = 0;
    #endif
        }

## Member Data Documentation

struct QWSRegionEvent::SimpleData simpleData

Search for all occurrences

QRect* rectangles

Search for all occurrences

Definition at line 265 of file qwsevent_qws.h.

The documentation for this struct was generated from the following file:

- QtGui/qwsevent_qws.h